sc::G96XFunctional(3)

NAME
sc::G96XFunctional - Implements the Gill 1996 (G96) exchange functional.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

  Public Member Functions
G96XFunctional (const Ref< KeyVal > &)
G96XFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int need_density_gradient ()
void point (const PointInputData &, PointOutputData &)

  Protected Member Functions
void init_constants ()

  Protected Attributes
double b_

Detailed Description

Implements the Gill 1996 (G96) exchange functional. P. M. W. Gill, Mol. Phys., 89(2), pp. 433-445, 1996.

Member Function Documentation

  void sc::G96XFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.